#include "pch.h"
#include "mzArrayUtils.h"

namespace mzstd {

BOOL WINAPI in_array(BYTE *arr, ULONG arr_size, BYTE elem) {
	for (ULONG i = 0; i < arr_size; i++) {
		if (arr[i] == elem) {
			return TRUE;
		}
	}
	return FALSE;
}

BOOL WINAPI in_array(WORD *arr, ULONG arr_size, WORD elem) {
	for (ULONG i = 0; i < arr_size; i++) {
		if (arr[i] == elem) {
			return TRUE;
		}
	}
	return FALSE;
}

}
